Skip to main content
GET
https://api.nextsportsapi.com
/
v1
/
status
Get account and API status
curl --request GET \
  --url https://api.nextsportsapi.com/v1/status \
  --header 'Authorization: Bearer <token>'
{
  "get": "status",
  "parameters": {},
  "errors": [],
  "results": 1,
  "paging": {
    "current": 1,
    "total": 1
  },
  "response": [
    {
      "service": "NextSportsAPI",
      "status": "ok",
      "organization": {
        "id": "org_123",
        "name": "Example Sports App"
      },
      "api_key": {
        "id": "key_123",
        "key_prefix": "nsa_live_xxxx",
        "status": "active"
      },
      "entitlement": {
        "type": "free_trial",
        "product": "football",
        "plan": "free_trial",
        "quota_per_day": 100,
        "rate_limit_per_minute": 30
      },
      "usage": {
        "product": "football",
        "date": "2026-05-19",
        "used": 0,
        "quota": 100,
        "remaining": 100
      },
      "provider": {
        "code": "api-football",
        "configured": true
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nextsportsapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response.

get
string
required
parameters
required
errors
object[]
required
results
integer
required
Required range: x >= 0
paging
object
required
response
object[]
required
Last modified on May 20, 2026